#
# Portable VR Joystick option Dictionary
#
#
# Application Name
#
#
# Locale
#
XP_JOYSTICK_LOCALE = C

#
XP_JOYSTICK_UI_SAVE_INI   = save
XP_JOYSTICK_UI_LOAD_INI   = load

XP_JOYSTICK_UI_JOYSTICK_EXIST     = joystick is exist.
XP_JOYSTICK_UI_JOYSTICK_NOT_EXIST = joistick is not exist.

XP_JOYSTICK_UI_JOYSTICK_ENABLE  = enable.
XP_JOYSTICK_UI_JOYSTICK_DISABLE = disable.

XP_JOYSTICK_UI_JOYSTICK_INIT   = initialize
XP_JOYSTICK_UI_JOYSTICK_INTERVAL = interval(msec)

XP_JOYSTICK_UI_JOYSTICK0   = NULL
XP_JOYSTICK_UI_JOYSTICK1   = 1
XP_JOYSTICK_UI_JOYSTICK2   = 2

XP_JOYSTICK_UI_JOYSTICK_SELECT = Joystick ID


XP_JOYSTICK_UI_MODE_NULL     = NULL
XP_JOYSTICK_UI_INTERVAL      = interval(msec)
XP_JOYSTICK_UI_ROT_SCALE     = rotation scale
XP_JOYSTICK_UI_TRANS_SCALE   = translation scale
XP_JOYSTICK_UI_SCALE_SCALE   = scale
XP_JOYSTICK_UI_POS_THRESHOLD = threshold
XP_JOYSTICK_UI_ROT_X         = rotation (X axis)
XP_JOYSTICK_UI_ROT_Y         = rotation (Y axis)
XP_JOYSTICK_UI_ROT_Z         = rotation (Z axis)
XP_JOYSTICK_UI_TRANS_X       = translation (X axis)
XP_JOYSTICK_UI_TRANS_Y       = translation (Y axis)
XP_JOYSTICK_UI_TRANS_Z       = translation (Z axis)
XP_JOYSTICK_UI_SCALE         = scale

XP_JOYSTICK_UI_NORMALIZE     = normalize
XP_JOYSTICK_UI_RESET         = reset
XP_JOYSTICK_UI_CENTER        = center
XP_JOYSTICK_UI_RNC           = RNC
XP_JOYSTICK_UI_LIST_NEXT     = next file

XP_JOYSTICK_UI_TRACK_SELECT  = Stick
XP_JOYSTICK_UI_TRACK0        = config0
XP_JOYSTICK_UI_TRACK1        = config1
XP_JOYSTICK_UI_TRACK2        = config2
XP_JOYSTICK_UI_TRACK3        = config3

XP_JOYSTICK_UI_POS_X         = stick X
XP_JOYSTICK_UI_POS_Y         = stick Y
XP_JOYSTICK_UI_POS_Z         = stick Z
XP_JOYSTICK_UI_POS_R         = stick R

XP_JOYSTICK_UI_POS_X_0         = stick X(0)
XP_JOYSTICK_UI_POS_Y_0         = stick Y(0)
XP_JOYSTICK_UI_POS_Z_0         = stick Z(0)
XP_JOYSTICK_UI_POS_R_0         = stick R(0)

XP_JOYSTICK_UI_POS_X_1         = stick X(1)
XP_JOYSTICK_UI_POS_Y_1         = stick Y(1)
XP_JOYSTICK_UI_POS_Z_1         = stick Z(1)
XP_JOYSTICK_UI_POS_R_1         = stick R(1)

XP_JOYSTICK_UI_POS_X_2         = stick X(2)
XP_JOYSTICK_UI_POS_Y_2         = stick Y(2)
XP_JOYSTICK_UI_POS_Z_2         = stick Z(2)
XP_JOYSTICK_UI_POS_R_2         = stick R(2)

XP_JOYSTICK_UI_POS_X_3         = stick X(3)
XP_JOYSTICK_UI_POS_Y_3         = stick Y(3)
XP_JOYSTICK_UI_POS_Z_3         = stick Z(3)
XP_JOYSTICK_UI_POS_R_3         = stick R(3)

XP_JOYSTICK_UI_POS_MODE_0    = config 0
XP_JOYSTICK_UI_POS_MODE_1    = config 1
XP_JOYSTICK_UI_POS_MODE_2    = config 2
XP_JOYSTICK_UI_POS_MODE_3    = config 3

XP_JOYSTICK_UI_PLAY            = Play
XP_JOYSTICK_UI_PLAY_BACK       = Play backward
XP_JOYSTICK_UI_CYCLE           = Cycle
XP_JOYSTICK_UI_STOP            = Stop
XP_JOYSTICK_UI_DELAY           = Delay
XP_JOYSTICK_UI_TIMESTEP_RESET  = Reset time step
XP_JOYSTICK_UI_FORWARD         = step forward
XP_JOYSTICK_UI_BACKWARD        = step backward

XP_JOYSTICK_UI_BTN_1         = button 1
XP_JOYSTICK_UI_BTN_2         = button 2
XP_JOYSTICK_UI_BTN_3         = button 3
XP_JOYSTICK_UI_BTN_4         = button 4
XP_JOYSTICK_UI_BTN_5         = button 5
XP_JOYSTICK_UI_BTN_6         = button 6
XP_JOYSTICK_UI_BTN_7         = button 7
XP_JOYSTICK_UI_BTN_8         = button 8

# getfiles
XP_GETFILES_UI_BROWS = Browse
XP_GETFILES_UI_SELECT = Select
XP_GETFILES_UI_OK = OK
XP_GETFILES_UI_CANCEL = Cancel
XP_GETFILES_UI_OK_FILE_SELECTION = Do multiple file selection
XP_GETFILES_UI_CANCEL_FILE_SELECTION = Cancel multiple file selection
XP_GETFILES_UI_DIRECTORY = Directory
XP_GETFILES_UI_FILETYPE = File Type
XP_GETFILES_UI_FILE_SELECTION = File Selection
XP_GETFILES_UI_DISP_SELECTION_DIALOG = Display Selection Dialog

